[AI39-1]Infringement detection search creation

post
https://connect.patsnap.com/ai/infringement-detection-creation
Try in Sandbox

Users must first query [P060] patent image retrieval - single image /[P061] patent image retrieval - multiple images to obtain similar patent results and request the interface based on these results. Required parameters: Image ulr (urls), similar patent information (patent_messages), reporting language (report_lang), optional parameters: Receiving office (country). Generate task_id with a validity period of 8 hours. It becomes invalid upon expiration.

1. Similar patent information, up to 100 similar patent information items can be uploaded. 2. The URL of the image, valid for 9 hours (32,400 seconds).

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
country
array[ "US", "EU", "CN" ]
patent authority code For the authority code, refer to https://analytics.patsnap.com/status, Multiple items can be searched, separated by comma.
patent_messages
Required
array[ { "url": "http://patsnap-imagefulltext240.cdn.zhihuiya.com/EU/S/00/47/44/21/70/00/9/004744217_0009_0002.png", "apdt": 20190528, "apno": "EU006535076", "pbdt": 20190528, "score": 0.8884816, "title": "Mobile phones", "inventor": "ELSHAFIE, AHMED|YANG, WEI|HOSSEINI, SEYEDKIANOUSH", "loc_match": 1, "patent_id": "6e433449-143b-41d9-9abf-6c6519b07779", "patent_pn": "EU0065350760001S", "original_assignee": "HUAWEI TECHNOLOGIES CO., LTD." } ]
similar patent information,A maximum of 100 items are supported
apdt
integer<int64>20190528
Application Date
apno
stringEU006535076
Application Number
current_assignee
stringHUAWEI TECHNOLOGIES CO., LTD.
Current Assignee
inventor
stringELSHAFIE, AHMED|YANG, WEI|HOSSEINI, SEYEDKIANOUSH
Inventor
loc_match
integer<int32>1
Whether a similar patent hits a high-weight LOC (Valid only when request parameter model is 1 and field is SCORE) 1: hits 0: misses
original_assignee
stringHUAWEI TECHNOLOGIES CO., LTD.
Original Assignee (Applicant)
patent_id
Required
string6e433449-143b-41d9-9abf-6c6519b07779
similar patent ID
patent_pn
Required
stringEU0065350760001S
similar patent number
pbdt
integer<int64>20190528
Publication Date
score
number0.8884816
similar score (Valid only when sorted by similarity, that is, the request parameter field is SCORE)
title
Required
stringMobile phones
patent title
url
Required
stringhttp://patsnap-imagefulltext240.cdn.zhihuiya.com/EU/S/00/47/44/21/70/00/9/004744217_0009_0002.png?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20240311T111032Z&X-Amz-SignedHeaders=host&X-Amz-Expires=604800&X-Amz-Credential=AKIAPEVKZSEKLAJCRYAA%2F20240311%2Fcn-northwest-1%2Fs3%2Faws4_request&X-Amz-Signature=017c433982a4c397014bb96c92f320c7da2248a9d6b2ce6352f6adbffc4b0d99
similar image url
report_lang
Required
stringcn
The language for generating reports(cn/en)
urls
Required
array[ "https://static-open.zhihuiya.com/sample/common_demo.png", "https://static-open.zhihuiya.com/sample/common_demo_2.png" ]
image url list

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
task_id
string80d440b7-80a5-4233-a75f-ab72b0885c88
Task id
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "task_id": "80d440b7-80a5-4233-a75f-ab72b0885c88"
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms